Subject: bug#40628: Optimize admin/nt dependency computation

From: Andy Moreton <[email-masked]>
Date: Fri, 12 Nov 2021 09:55:02 +0000

On Fri 12 Nov 2021, Lars Ingebrigtsen wrote:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Noam Postavsky <[email-masked]> writes:
>>>
>>>> While checking the patch I suggested in
>>>> https://debbugs.gnu.org/40003#11, I noticed the dependency extraction
>>>> seemed pretty slow.  With the patch attached below it's much faster
>>>> (1m20.437s to 0m3.695s according to 'time ./build-dep-zips.py -l').
>>
>> [...]
>>
>>> This was four months ago, but the patch was apparently not applied?
>>
>> I don't have any Windows machines -- has anybody given this patch a test
>> to see whether it introduces any problems?
>
> I tested it myself, and it brought the generation time down from ~3
> minutes to about 20 seconds, so I've applied the patch.  I don't see any
> difference in the results, but then again, if failed with this both
> before and after the change:
>
> subprocess.CalledProcessError: Command 'wget -a ../download.log -O
> ../emacs-src-cache/mingw-w64-libtiff-4.3.0-6.src.tar.gz
> https://sourceforge.net/projects/msys2/files/REPOS/MINGW/Sources/mingw-w64-libtiff-4.3.0-6.src.tar.gz/download'
> returned non-zero exit status 8.

The MSYS2 project has moved some stuff away from sourceforge to its own
site. The sources are now at:

  https://repo.msys2.org/mingw/sources/

For the libtiff download above, that results in:

  https://repo.msys2.org/mingw/sources/mingw-w64-libtiff-4.3.0-6.src.tar.gz

The script will need adjusting to change the URL, and drop the
"/download" suffix.

    AndyM